> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # SetQueueInfo POST https://api.voximplant.com/platform_api/SetQueueInfo Edits the ACD queue. **Example request:** Change the queue name. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/queues/set-queue-info ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `acd_queue_id` (integer, optional) — The ACD queue ID. **Required** unless **acd_queue_name** is provided. - `acd_queue_name` (string, optional) — The ACD queue name. **Required** unless **acd_queue_id** is provided. - `new_acd_queue_name` (string, optional) — The new queue name. The length must be less than 100 - `acd_queue_priority` (integer, optional) — The integer queue priority. The highest priority is 0 - `auto_binding` (boolean, optional) — Whether to enable the auto binding of operators to a queue by skills comparing - `service_probability` (double, optional) — The value in the range of [0.5 ... 1.0]. The value 1.0 means the service probability 100% in challenge with a lower priority queue - `max_queue_size` (integer, optional) — The max queue size - `max_waiting_time` (integer, optional) — The max predicted waiting time in minutes. The client is rejected if the predicted waiting time is greater than the max predicted waiting time - `average_service_time` (integer, optional) — The average service time in seconds. Specify the parameter to correct or initialize the waiting time prediction - `application_id` (integer, optional) — The new application ID ## Response ### 200 Successful response - `result` (integer, optional) — Returns 1 if the request has been completed successfully ## Examples **Request** ```json {} ``` **Response** ```json { "result": 1 } ``` **SDK Code** ```python Success import requests url = "https://api.voximplant.com/platform_api/SetQueueInfo" querystring = {"acd_queue_id":"12345","new_acd_queue_name":"Customer Support Priority Queue","acd_queue_priority":"0","auto_binding":"true","service_probability":"0.95","max_queue_size":"50","max_waiting_time":"15","average_service_time":"180","application_id":"67890"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Success request('POST', 'https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SetQueueInfo?acd_queue_id=12345&new_acd_queue_name=Customer+Support+Priority+Queue&acd_queue_priority=0&auto_binding=true&service_probability=0.95&max_queue_size=50&max_waiting_time=15&average_service_time=180&application_id=67890")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```